


<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html id="htmlId">
<head>
  <title>Coverage Report :: UserProjectBooking</title>
  <style type="text/css">
    @import "../../.css/coverage.css";
  </style>
</head>

<body>
<div class="header"></div>

<div class="content">
<div class="breadCrumbs">
    [ <a href="../../index.html">all classes</a> ]
    [ <a href="../index.html">com.dema.timeregistration.entity</a> ]
</div>

<h1>Coverage Summary for Class: UserProjectBooking (com.dema.timeregistration.entity)</h1>

<table class="coverageStats">
<tr>
  <th class="name">Class</th>
<th class="coverageStat 
">
  Class, %
</th>
<th class="coverageStat 
">
  Method, %
</th>
<th class="coverageStat 
">
  Line, %
</th>
</tr>
<tr>
  <td class="name">UserProjectBooking</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (1/ 1)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (5/ 5)
  </span>
</td>
<td class="coverageStat">
  <span class="percent">
    100%
  </span>
  <span class="absValue">
    (13/ 13)
  </span>
</td>
</tr>

</table>

<br/>
<br/>


<div class="sourceCode"><i>1</i>&nbsp;package com.dema.timeregistration.entity;
<i>2</i>&nbsp;
<i>3</i>&nbsp;import javax.persistence.*;
<i>4</i>&nbsp;import java.time.Instant;
<i>5</i>&nbsp;import java.util.HashSet;
<i>6</i>&nbsp;import java.util.Set;
<i>7</i>&nbsp;
<i>8</i>&nbsp;@Entity(name = &quot;UserProjectBooking&quot;)
<i>9</i>&nbsp;@Inheritance(strategy = InheritanceType.TABLE_PER_CLASS)
<i>10</i>&nbsp;public class UserProjectBooking extends UserBooking {
<i>11</i>&nbsp;    @ManyToOne
<i>12</i>&nbsp;    private Project project;
<i>13</i>&nbsp;
<b class="fc"><i>14</i>&nbsp;    @OneToMany(mappedBy = &quot;userProjectBooking&quot;, cascade = CascadeType.ALL)</b>
<i>15</i>&nbsp;    private Set&lt;TimeEntry&gt; timeEntries = new HashSet&lt;&gt;();
<i>16</i>&nbsp;
<b class="fc"><i>17</i>&nbsp;    protected UserProjectBooking() {</b>
<b class="fc"><i>18</i>&nbsp;    }</b>
<i>19</i>&nbsp;
<i>20</i>&nbsp;    public static UserProjectBooking create(User user, Project project, Instant startTime, Instant endTime) {
<b class="fc"><i>21</i>&nbsp;        UserProjectBooking booking = new UserProjectBooking();</b>
<b class="fc"><i>22</i>&nbsp;        booking.setUser(user);</b>
<b class="fc"><i>23</i>&nbsp;        booking.setProject(project);</b>
<b class="fc"><i>24</i>&nbsp;        booking.setStartTime(startTime);</b>
<b class="fc"><i>25</i>&nbsp;        booking.setEndTime(endTime);</b>
<b class="fc"><i>26</i>&nbsp;        return booking;</b>
<i>27</i>&nbsp;    }
<i>28</i>&nbsp;
<i>29</i>&nbsp;    public Project getProject() {
<b class="fc"><i>30</i>&nbsp;        return project;</b>
<i>31</i>&nbsp;    }
<i>32</i>&nbsp;
<i>33</i>&nbsp;    public void setProject(Project project) {
<b class="fc"><i>34</i>&nbsp;        this.project = project;</b>
<b class="fc"><i>35</i>&nbsp;    }</b>
<i>36</i>&nbsp;
<i>37</i>&nbsp;    public Set&lt;TimeEntry&gt; getTimeEntries() {
<b class="fc"><i>38</i>&nbsp;        return timeEntries;</b>
<i>39</i>&nbsp;    }
<i>40</i>&nbsp;}
</div>
</div>

<div class="footer">
    
    <div style="float:right;">generated on 2019-05-13 13:51</div>
</div>
</body>
</html>
